/* Load the REXXUTIL DLL */
'@ECHO OFF'
Call RxFuncAdd 'SysCls','RexxUtil','SysCls'
Call RxFuncAdd 'SysCreateObject','RexxUtil','SysCreateObject'
Call RxFuncAdd 'SysMkDir','RexxUtil','SysMkDir'
Call RxFuncAdd 'SysSearchPath','RexxUtil','SysSearchPath'
Call RxFuncAdd 'SysDriveInfo','RexxUtil','SysDriveInfo'

Call SysCls

/* Set to the BOOT Drive */
TargetDrive=Filespec('Drive',Value('SYSTEM_INI',,'OS2ENVIRONMENT'))

/* Make the Target Directory */
        Rc=SysMkDir(TargetDrive'\CPQUTILS')
        Rc=SysMkDir(TargetDrive'\CPQUTILS\CPQSCU')
        Rc=SysMkDir(TargetDrive'\CPQUTILS\HTMLRDR')


'@setlocal'	    /* Start Local env */

file=TargetDrive'\CPQUTILS\CPQSSD\SOURCE\HTMLRDR\CPQSCU.HTM'
'set PATH='TargetDrive'\CPQUTILS\CPQSSD\SOURCE\HTMLRDR'
rc=SysSearchPath('PATH', 'CPQSCU.HTM')

If rc=""
then Call Insert1stDisk
else Call ContinueCopy

    /* Display an Approriate Error Message */
Insert1stDisk:
'@ECHO ON'
    /* Clear the Screen */
	 Call SysCls    
    
    /* Display an approriate message */
       Say ''
       Say ''
       Say 'Please Insert the Compaq SSD diskette 1'
       Say ''
       Say 'Press Enter when Ready'
       Say ''
       Pull Resp
       
       Label = SysDriveInfo('A:')
       pos =  POS('SSD451A1OF6',Label)
       If pos = 0
	    Then Call Insert1stDisk
       Else
       Say 'Copying Files. Please Wait......'
'@ECHO OFF'
            'COPY a:\htmlrdr\*.* 'TargetDrive'\CPQUTILS\HTMLRDR' '>nul 2> nul'
            'COPY a:\viewme.* 'TargetDrive'\CPQUTILS\HTMLRDR' '>nul 2> nul'
'@ECHO ON'
       Say 'The Required Files are copied.'
       
ContinueCopy:

       'COPY 'TargetDrive'\CPQUTILS\CPQSSD\SOURCE\HTMLRDR\*.* 'TargetDrive'\CPQUTILS\HTMLRDR' '>nul 2> nul' 
	
'@endlocal'	    /* End Local env */




'@setlocal'	    /* Start Local env */

file=TargetDrive'\CPQUTILS\CPQSSD\SOURCE\CPQSCU\cpqscu.exe'

'set PATH='TargetDrive'\CPQUTILS\CPQSSD\SOURCE\CPQSCU'
rc=SysSearchPath('PATH', 'CPQSCU.EXE')

If rc=""
then Call Insert5thDisk
else Call CopyFromCPQSCU
    /* Display an Approriate Error Message */
Insert5thDisk:
	
    /* Clear the Screen */
	 Call SysCls    
    
    /* Display an approriate message */
       Say ''
       Say ''
       Say 'Please Insert the Compaq SSD diskette 5'
       Say ''
       Say 'Press Enter when Ready'
       Say ''
       Pull Resp
       
       Label = SysDriveInfo('A:')
       pos =  POS('SSD451A5OF6',Label)
       If pos = 0
	    Then Call Insert5thDisk
       Else
       Say 'Copying Files. Please Wait......'
'@ECHO OFF'
            'COPY a:\cpqscu\cpqscu.* 'TargetDrive'\CPQUTILS\CPQSCU' '>nul 2> nul'
'@ECHO ON'
       Say 'The Required Files are copied.'
'@ECHO OFF'
       
CopyFromCPQSCU:
            'COPY 'TargetDrive'\CPQUTILS\CPQSSD\SOURCE\CPQSCU\*.* 'TargetDrive'\CPQUTILS\CPQSCU' '>nul 2> nul' 
	   
             

rc = SysCreateObject('WPFolder',,
                      'Compaq Utilities',,
		      '<WP_DESKTOP>',,
		      'OBJECTID=<CPQ_FOLDER>;ICONFILE='TargetDrive'\CPQUTILS\HTMLRDR\CPQUTIL.ICO','U');
		     
/* Check if the Folder was successfully created */
	If rc=0 then Do
        	Call SysCls   
		Say ""
		Say ""
		Say "Could not create Compaq utilities Folder"
	End
	
rc = SysCreateObject('WPFolder',,
                      'Compaq Storage Configuration Utility',,
		      '<CPQ_FOLDER>',,
	      'OBJECTID=<SCU_FOLDER>;ICONFILE='TargetDrive'\CPQUTILS\CPQSCU\CPQSCU.ICO','U');
		     
/* Check if the Folder was successfully created */
	If rc=0 then Do
		
/* Display an Approriate Error Message */
        	Call SysCls   
		Say ""
		Say ""
		Say "Could not create Compaq CPQSCU Folder"
	End
	
rc = SysCreateObject('WPProgram',,
                        'Compaq SCU',,
			 '<SCU_FOLDER>',,
        'OBJECTID=<CPQ_SCU>;ICONFILE='TargetDrive'\CPQUTILS\CPQSCU\CPQSCU.ICO',
	';EXENAME='TargetDrive'\CPQUTILS\CPQSCU\CPQSCU.EXE;',,
		           'R')

/* Check if the Program was successfully created */
	If rc=0 then Do

/* Display an Approriate Error Message */
		Call SysCls   
		Say ""
		Say ""
		Say "Could not create Compaq SCU Object"
	End
	
    Rc=SysCreateObject('WPProgram',,
		       'Compaq SCU Readme',,
		       '<SCU_FOLDER>',,
		       ';ICONFILE=\CPQUTILS\HTMLRDR\HTMLRDR.ICO',
		       ';EXENAME='TargetDrive'\CPQUTILS\HTMLRDR\VIEWME.EXE;PARAMETERS='TargetDrive'\CPQUTILS\HTMLRDR\CPQSCU.HTM',,
		       'U')
    
    /* Check if the Program was successfully created */
	    If Rc=0 then Do
    
    /* Display an Approriate Error Message */
		    Call SysCls   
		    Say ""
		    Say ""
		    Say "Could not create Compaq HTML Documentation Folder"
End

'@endlocal'	    /* End Local env */

