/* Load the REXXUTIL DLL */
Rc=RxFuncAdd('SysLoadFuncs','RexxUtil','SysLoadFuncs')
Call SysLoadFuncs

'@ECHO OFF'

/* Set to the BOOT Drive */
TargetDrive=Filespec('Drive',Value('SYSTEM_INI',,'OS2ENVIRONMENT'))

/* Make the Target Directory */
        Rc=SysMkDir(TargetDrive'\CPQUTILS')
        Rc=SysMkDir(TargetDrive'\CPQUTILS\COMPAQ')
        CALL 'A:\HTMLRDR\CPQHTML.CMD'
/* Check if the Target Directory was made successfully (Rc=0) or already exists (Rc=5) */
        If Rc=0 | Rc=5 then Do

/* Copy the Files to the Target Directory */
                'COPY A:\CPQSETUP\*.*  'TargetDrive'\CPQUTILS\COMPAQ'
		
		
/* Insert the 1st Diskette */
		Call Insert1stDisk

/* Expand the ADD to the Target Directory */
              'COPY A:\ADD\CPQ53CX.ADD 'TargetDrive'\CPQUTILS\COMPAQ'
              'COPY A:\ADD\CPQARRAY.ADD 'TargetDrive'\CPQUTILS\COMPAQ'
              'COPY A:\ADD\CPQEIDE.ADD 'TargetDrive'\CPQUTILS\COMPAQ'
	
		 
/* Create the Folder on the Desktop */
                Call Create_Folder
		
/* Check if the Folder was created */
                If Folder_Created then Do

/* Create the Program Object in the Folder */
                        Call Create_Program_Object

            End

     Else Do

/* Clear the Screen */
       Call SysCls  

/* Display an approriate error message */
                Say ""
                Say "Could not Create Target FOLDER"
       End  
END 

/* Display an Approriate Message */
        	Call SysCls   
		Say ""
		Say ""
		Say "         Sucessfully Created Compaq OS/2 CD-ROM INSTALLATION SETUP UTILITY"

/* Drop the RexxUtil Funcs */	
	Rc=RxFuncDrop('SysLoadFuncs')

Exit
         
       
Create_Folder:

/* Initialize Folder Created to True */
	Folder_Created=1
	
rc = SysCreateObject('WPFolder',,
                      'Compaq Utilities',,
		      '<WP_DESKTOP>',,
		      'OBJECTID=<CPQ_FOLDER>;ICONFILE='TargetDrive'\CPQUTILS\COMPAQ\CPQUTIL.ICO','U')
		      
		     
/* Check if the Folder was successfully created */
	If Rc=0 then Do


/* Set Folder_Created to False */
		Folder_Created=0
		
/* Display an Approriate Error Message */
        	Call SysCls   
		Say ""
		Say ""
		Say "Could not create Compaq OS/2 Set-Up Folder"
	End
	
						
rc = SysCreateObject('WPFolder',,
                     'Compaq OS/2 CD-ROM Installation Setup',,
		     '<CPQ_FOLDER>',,
		     'OBJECTID=<CPQ_SETUP>;ICONFILE='TargetDrive'\CPQUTILS\COMPAQ\CPQ.ICO','R')
		     

/* Check if the Folder was successfully created */
	If Rc=0 then Do


/* Set Folder_Created to False */
		Folder_Created=0
		
/* Display an Approriate Error Message */
 		Call SysCls   
		Say ""
		Say ""
		Say "Could not create Compaq CPQ Set-Up Folder"
	End					

Return	


Create_Program_Object:

/* Create an object in the Folder */

rc = SysCreateObject('WPProgram',,
                        ' Compaq Installation Documentation',,
			 '<CPQ_SETUP>',,
                ';ICONFILE='TargetDrive'\CPQUTILS\HTMLRDR\HTMLRDR.ICO', 
		';EXENAME='TargetDrive'\CPQUTILS\HTMLRDR\VIEWME.EXE;PARAMETERS='TargetDrive'\CPQUTILS\HTMLRDR\CPQSETUP.HTM',,
		           'R')

/* Check if the Program was successfully created */
	If Rc=0 then Do

/* Display an Approriate Error Message */
		Call SysCls   
		Say ""
		Say ""
		Say "Could not create Compaq OS/2 Readme Object"
	End					

/* Create the Floppy Folder inside the Cpqsetup Folder */
	 
rc = SysCreateObject('WPProgram',,
	 'OS/2 CD-ROM Installation Setup Utility',,
	 '<CPQ_SETUP>',,
	 ';ICONFILE='TargetDrive'\CPQUTILS\COMPAQ\FLOPPY.ICO',
	 ';EXENAME='TargetDrive'\CPQUTILS\COMPAQ\CPQSETUP.CMD',,
	 'R')

/* Check if the Program was successfully created */
	If Rc=0 then Do

/* Display an Approriate Error Message */
		Call SysCls  
		Say ""
		Say ""
		Say "Could not create Compaq OS/2 CD-ROM Object"
	End					

Return


Insert1stDisk:

/* Clear the Screen */
     Call SysCls    

/* Display an approriate message */
   Say ''
   Say ''
   Say 'Please Insert the Compaq SSD diskette 4 (System and Storage Drivers)'
   Say ''
   Say 'Press Enter when Ready'
   Say ''
   Pull Resp
   
   Label = SysDriveInfo('A:')
   pos =  POS('SSD451A4OF6',Label)
   If pos = 0
	Then Call Insert1stDisk
   Else 
   Return
 