/* Installation script for WUTLOS2 Utility */
Call RxFuncAdd 'SysCls','RexxUtil','SysCls'
Call SysCls

 '@ECHO OFF'
Call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
Call SysLoadFuncs
os2path = Filespec('Drive',Value('SYSTEM_INI',,'OS2ENVIRONMENT'))

'@ECHO ON'
Call RxFuncAdd 'SysCreateObject','RexxUtil','SysCreateObject'

/* Create a COMPAQ Folder on the Desktop */
rc = SysCreateObject('WPFolder', 'Compaq Utilities','<WP_DESKTOP>','OBJECTID=<CPQ_FOLDER>;ICONFILE='os2path'\CPQUTILS\CPQWUTIL\CPQUTIL.ICO','U')

if \rc Then Call FAILEDFOLDER

/* Create the COMPAQ WELLNESS UTILITIES inside the Compaq Utilities Folder */
rc = SysCreateObject('WPFolder', 'Wellness Utilities v2.21 for OS/2','<CPQ_FOLDER>','OBJECTID=<wellness>;ICONFILE='os2path'\CPQUTILS\CPQWUTIL\WUTL.ICO','R')

if \rc Then Call FAILEDFOLDER

/* Create the WUTLOS2.EXE object in the Folder */
rc = SysCreateObject('WPProgram','Wellness Utilities v2.21 for OS/2','<wellness>','OBJECTID=<SMSPS>;ICONFILE='os2path'\CPQUTILS\CPQWUTIL\WUTL1.ICO;EXENAME='os2path'\CPQUTILS\CPQWUTIL\client\wutlos2.exe;PROGTYPE=PROG_PM;','R')

If \rc Then Call FAILEDOBJ 

/* Create an README.TXT object in the Folder */
rc = SysCreateObject('WPProgram','Compaq Wellness Utilities Documentation','<wellness>','OBJECTID=<CPQ_LOG>;ICONFILE='os2path'\CPQUTILS\HTMLRDR\HTMLRDR.ICO;EXENAME='os2path'\CPQUTILS\HTMLRDR\VIEWME.EXE ;PARAMETERS='os2path'\CPQUTILS\HTMLRDR\CPQWELL.HTM;PROGTYPE=PROG_DEFAULT;','R')

/* Execute WELLUTIL.EXE file in the CPQUTILS\CPQWUTIL\client dir */

cd '\cpqutils\cpqwutil'
md 'client'
md 'server'
copy '\cpqutils\cpqwutil\WELLUTIL.EXE \cpqutils\cpqwutil\client' 
cd '\cpqutils\cpqwutil\client'
WELLUTIL.EXE '-o'
cd '\cpqutils\cpqwutil'
BOOTUP.EXE
CONFIG.EXE
copy '\cpqutils\cpqwutil\client\CPQWUBEP.DLL \cpqutils\cpqwutil\server'
copy '\cpqutils\cpqwutil\client\CPQSRVR.JAR \cpqutils\cpqwutil\server'
del '\cpqutils\cpqwutil\client\CPQWUBEP.DLL'
del '\cpqutils\cpqwutil\client\CPQSRVR.JAR'

Exit

FAILEDFOLDER :
echo 'Failed to create the folder'
  Exit

FAILEDOBJ :
echo 'Failed to create the object'
  Exit

