/**/

/* Installation script for WUTLOS2 Utility */
Call RxFuncAdd 'SysCls','RexxUtil','SysCls'
Call SysCls

/* Load the REXXUTIL DLL */
Rc=RxFuncAdd('SysLoadFuncs','RexxUtil','SysLoadFuncs')
Rc=RxFuncAdd('SysLoadFuncs','RexxUtil','SysLoadFuncs')
Call SysLoadFuncs
os2path = Filespec('Drive',Value('SYSTEM_INI',,'OS2ENVIRONMENT'))
copy '\SSOS240\PRODINST\CPQUTILS\CPQACU\INSTALL\cpqutil.ico \CPQUTILS\cpqacu'
'@ECHO ON'
Call RxFuncAdd 'SysCreateObject','RexxUtil','SysCreateObject'

/* Create a COMPAQ Folder on the Desktop */
rc = SysCreateObject('WPFolder', 'Compaq Utilities','<WP_DESKTOP>','OBJECTID=<CPQ_FOLDER>;ICONFILE=\CPQUTILS\cpqacu\CPQUTIL.ICO','U')

/*if \rc Then Call FAILEDFOLDER*/


Fid='Compaq_HW'

/* Create the Folder on the Desktop.  Replace if already exists */
	Rc=SysCreateObject('WPFolder',,
			     'Compaq ACU',,
			     '<CPQ_FOLDER>',,
			     'ICONFILE=\CPQUTILS\CPQACU\SMARTACU.ICO', 
			     ';OBJECTID=<ACU_FOLDER>',,
			     'U')

/* Check if the Folder was successfully created */
	If Rc=0 then Do

/* Set Folder_Created to False */
		Folder_Created=0

/* Display an Approriate Error Message */
		Call SysCls
		Say ""
		Say ""
		Say "Could not create Compaq OS/2 Set-Up Folder"
		Exit
	End                                     


	Rc=SysCreateObject('WPProgram',,
			      'Compaq ACU Readme ',,
			      '<ACU_FOLDER>',,
			 ';ICONFILE=\CPQUTILS\CPQACU\HTMLRDR.ICO', 
			';EXENAME=\CPQUTILS\HTMLRDR\VIEWME.EXE;PARAMETERS=\CPQUTILS\HTMLRDR\CPQACU.HTM',,
			      'U')                                                      

	Rc=SysCreateObject('WPProgram',,
			      'Compaq Array Configuration Utility ',,
			      '<ACU_FOLDER>',,
			     ';ICONFILE=\CPQUTILS\CPQACU\ACU.ICO', 
			      ';EXENAME=\CPQUTILS\CPQACU\ACU.EXE',,
			      'U')                                                      

/* Check if the Program was successfully created */
	If Rc=0 then Do

/* Display an Approriate Error Message */
		Call SysCls
		Say ""
		Say ""
		Say "Could not create Smart-ACU Objects"
	End                                     

Return



	Rc=RxFuncDrop('SysLoadFuncs')

Exit

	End

Return
